Bug 1123504 - upgrade of httpd of rhel6 to httpd.x86_64 0:2.2.15-31.el6_5 causes of the latest version of httpd-itk (httpd-itk-2.2.22-6.el6.x86_64) to fail to start with undefined symbol error.
Summary: upgrade of httpd of rhel6 to httpd.x86_64 0:2.2.15-31.el6_5 causes of the la...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: httpd-itk
Version: el6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1129103 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 20:43 UTC by hamjavar
Modified: 2014-09-03 15:38 UTC (History)
9 users (show)

Fixed In Version: httpd-itk-2.2.22-7.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-03 15:38:59 UTC


Attachments (Terms of Use)
httpd-2.2.15-CVE-2014-0226.patch (3.02 KB, patch)
2014-08-05 12:38 UTC, Jan Kaluža
no flags Details | Diff

Description hamjavar 2014-07-25 20:43:54 UTC
Description of problem:

I use  httpd-itk-2.2.22-6.el6.x86_64  from epel as  MPM for my Apache srever.

Upon update of httpd package security update httpd.x86_64 0:2.2.15-31.el6_5
when I do a "service httpd   start"   I get:


Starting httpd: httpd.itk: Syntax error on line 178 of
/etc/httpd/conf/httpd.conf: Cannot load /etc/httpd/modules/mod_status.so into
server: /etc/httpd/modules/mod_status.so: undefined symbol:
ap_copy_scoreboard_worker
                                                           [FAILED]



Version-Release number of selected component (if applicable):
httpd-itk-2.2.22-6.el6.x86_64


How reproducible:
Always.


Steps to Reproduce:

 Starting with system using :

   httpd-itk-2.2.22-6.el6.x86_64 and httpd-2.2.15-30.el6_5.x86_64

1. yum upgrade so httpd is httpd.x86_64 0:2.2.15-31.el6_5
2. service httpd  restart
3. 

Actual results:


Starting httpd: httpd.itk: Syntax error on line 178 of
/etc/httpd/conf/httpd.conf: Cannot load /etc/httpd/modules/mod_status.so into
server: /etc/httpd/modules/mod_status.so: undefined symbol:
ap_copy_scoreboard_worker
                                                           [FAILED]




Expected results:

# service  httpd   restart
Stopping httpd:                                            [  OK  ]
Starting httpd:                                            [  OK  ]




Additional info:

Comment 1 Svyatoslav Lempert 2014-07-29 06:21:24 UTC
I have some problem, mod_status.so is broken in last update.

Comment 3 Nigel Reed 2014-08-04 16:45:35 UTC
This is affecting me on CentOS too, since I use the EPEL httpd-itk.

Comment 4 Scott O'Neil 2014-08-04 23:44:00 UTC
I am also encountering this problem, identical to what the original reporter described.

Comment 6 Jan Kaluža 2014-08-05 12:37:07 UTC
This is not issue with "httpd" package, but issue with "httpd-itk" package. I'm changing the component back to httpd-itk.

"httpd-itk" bundles "httpd" (without exception from fesco). As a result of security fix for CVE-2014-0226, new method has been added to "httpd", but the version bundled in "httpd-itk" does not have this method, since these CVEs are not fixed there.

To fix httpd-itk, httpd-itk maintainer should apply following patch.

Comment 7 Jan Kaluža 2014-08-05 12:38:12 UTC
Created attachment 924195 [details]
httpd-2.2.15-CVE-2014-0226.patch

Comment 8 Scott O'Neil 2014-08-05 21:15:38 UTC
It seems that patch'd resolve this particular problem. Would it be a good idea to go ahead and bring over all the CVE patches from the 2.2.15 RPM?

Comment 9 Pavel Alexeev 2014-08-18 14:23:55 UTC
It have worth just block httpd-itk 2.2 and update to 2.4 all. But I assume it is not possible in epel 6 by policy.

I'll apply patch, thank you.

Comment 10 Fedora Update System 2014-08-18 15:00:22 UTC
httpd-itk-2.2.22-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/httpd-itk-2.2.22-7.el6

Comment 11 Pavel Alexeev 2014-08-18 15:27:24 UTC
*** Bug 1129103 has been marked as a duplicate of this bug. ***

Comment 12 Fedora Update System 2014-08-18 18:57:27 UTC
Package httpd-itk-2.2.22-7.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing httpd-itk-2.2.22-7.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2228/httpd-itk-2.2.22-7.el6
then log in and leave karma (feedback).

Comment 13 Ammian 2014-08-19 18:22:47 UTC
I have some problems after installation
---------------
Package httpd-itk-2.2.22-7.el6.x86_64 already installed and latest version
Nothing to do

sudo service httpd start  
Starting httpd: httpd.itk: Syntax error on line 231 of /etc/httpd/conf/httpd.conf: Syntax error on line 9 of /etc/httpd/conf.d/php.conf: Cannot load /etc/httpd/modules/libphp5-zts.so into server: /etc/httpd/modules/libphp5-zts.so: cannot open shared object file: No such file or directory
                      [FAILED]
----------------

the libphp5-zts.so module is absent.
what actions to me to undertake, this module is required to system for correct work of Apache?

Comment 14 Ammian 2014-08-19 18:33:21 UTC
Everything works perfectly! Sorry. There was a need for the PHP installation.

Comment 15 Fedora Update System 2014-09-03 15:38:59 UTC
httpd-itk-2.2.22-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.